package com.iformall.service;

import java.util.*;
import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxMsgCallback;

public interface WxMsgCallbackService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param offset
     * @param limit
     * @return
     */
	PageInfo<WxMsgCallback> listAsPage(WxMsgCallback record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxMsgCallback getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxMsgCallback record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


    void saveOrUpdate(String bid, Map<String, String> param);

    void receivemodel(String bid, Map<String, String> param);

    void receiveverifymodel(String bid, Map<String,String> param);

}
